List authorization grants
Lists grants attached to one resource. MANAGE_ACCESS is required on that resource; continuation tokens are bound to the caller and filters.
x-api-key<token>
In: header
Query Parameters
resourceKindstring
Required target resource kind
Value in
"INSTANCE" | "USER" | "SERVICE_IDENTITY" | "SPACE" | "API_KEY" | "EMBEDDER" | "RERANKER" | "LLM" | "MEMORY" | "EXTENSION" | "RETRIEVE_MEMORY_LOG_POLICY"resourceId?string
Required target UUID except when resourceKind is INSTANCE
includeRevoked?boolean
Include revoked history
Default
falsemaxResults?integer
Page size; 0 or omission uses the default of 50, maximum 1,000
Default
50Format
int32nextToken?string
Opaque continuation token
Response Body
curl -X GET "https://loading/v1/access-policy/grants?resourceKind=SPACE&resourceId=550e8400-e29b-41d4-a716-446655440000&includeRevoked=true&maxResults=100&nextToken=string"{
"grants": [
{
"grantId": "f276b9a4-73d6-4e04-95c5-87b974221f92",
"audience": {
"principalId": "70e025f6-76ca-4cbe-b8fc-7dab8e84590a"
},
"rule": {
"assignedResource": {
"resourceId": "550e8400-e29b-41d4-a716-446655440000"
}
},
"createdById": "70e025f6-76ca-4cbe-b8fc-7dab8e84590a",
"revokedById": "114ad558-323d-4b76-85b8-37af103b8650"
}
],
"nextToken": "string"
}Empty
Empty
Empty
Empty
Empty
Empty